# Get input and analysis

Retrieves the vision analysis with the input and the generated analysis around it

Endpoint: GET /visionAnalyses/{id}
Security: clientCredentials, oAuth2Password

## Path parameters:

  - `id` (string, required)
    The ID of the vision analysis to retrieve.
    Example: "914e5150-7a8c-40a7-b0d9-4738e9d31f9e"

## Response 200 fields (application/json):

  - `body` (any) — one of (discriminator: status):
    - processing:
      - `id` (string, required)
        The ID of the vision analysis
        Example: "7bf34023-641f-4191-a836-8cd4716266f3"
      - `created_at` (string, required)
        The datetime the vision analysis was created
        Example: "2024-10-10T13:01:29.822Z"
      - `updated_at` (string, required)
        The datetime the vision analysis was last updated.
        Example: "2024-10-10T13:01:29.822Z"
      - `input` (string, required)
        The input to generate a vision analysis of
        Example: "https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg"
      - `options` (object, required)
      - `options.explain` (boolean, required)
        Whether to explain the vision analysis result when there is anything worth explaining or not.
      - `options.isVideo` (boolean)
        Whether to use video analysis, requires an additional permission and is rate limited separately
      - `options.needFramesAnnotation` (boolean)
        Whether to annotate the frames of the video with a heatmap or bounding box.
      - `options.framesAnnotationType` (array)
        The type of annotation to apply to the frames of the video. Only one value is supported at a time.
        Enum: "heatmap", "bounding_box"
      - `status` (string, required)
        The status of the vision analysis generation
        Enum: "processing"
    - success:
      - `id` (string, required)
        The ID of the vision analysis
        Example: "7bf34023-641f-4191-a836-8cd4716266f3"
      - `created_at` (string, required)
        The datetime the vision analysis was created
        Example: "2024-10-10T13:01:29.822Z"
      - `updated_at` (string, required)
        The datetime the vision analysis was last updated.
        Example: "2024-10-10T13:01:32.890Z"
      - `input` (string, required)
        The input to generate a vision analysis of
        Example: "https://x.com/i/status/1868091847064932761"
      - `options` (object, required)
      - `options.explain` (boolean, required)
        Whether to explain the vision analysis result when there is anything worth explaining or not.
      - `options.isVideo` (boolean)
        Whether to use video analysis, requires an additional permission and is rate limited separately
      - `options.needFramesAnnotation` (boolean)
        Whether to annotate the frames of the video with a heatmap or bounding box.
      - `options.framesAnnotationType` (array)
        The type of annotation to apply to the frames of the video. Only one value is supported at a time.
        Enum: same as `options.framesAnnotationType` in "processing" (2 values)
      - `status` (string, required)
        The status of the vision analysis generation
        Enum: "success"
      - `analysis` (object, required)
      - `analysis.fake` (object, required)
        The analysis of whether the content is fake and why it is determined to be/not-be fake
      - `analysis.fake.confidence` (number, required)
        Represents the model's certainty about the classification expressed as a value between 0.5 and 1, where a higher value indicates higher confidence
      - `analysis.fake.isFake` (boolean, required)
        Whether the content is fake or not.
      - `analysis.fake.explanation` (string)
        Why the content is considered fake. ONLY returned if the content was determined to be fake. NOT returned if the content was determined to be real
      - `analysis.fake.annotations` (object)
        The annotations of the content. ONLY returned if the content was determined to be fake. NOT returned if the content was determined to be real
      - `analysis.fake.annotations.url` (string)
        The URL of the annotation
      - `analysis.fake.annotations.format` (string)
        The format of the annotation
        Enum: "jpeg", "mp4"
      - `analysis.fake.annotations.type` (string)
        The type of the annotation
        Enum: "video"
      - `analysis.fake.annotations.height` (number)
        The height of the annotation
      - `analysis.fake.annotations.width` (number)
        The width of the annotation
    - failed:
      - `id` (string, required)
        The ID of the vision analysis
        Example: "7bf34023-641f-4191-a836-8cd4716266f3"
      - `created_at` (string, required)
        The datetime the vision analysis was created
        Example: "2024-10-10T13:01:29.822Z"
      - `updated_at` (string, required)
        The datetime the vision analysis was last updated.
        Example: "2024-10-10T13:01:29.822Z"
      - `input` (string, required)
        The input to generate a vision analysis of
        Example: "https://example.com/not/an/image"
      - `options` (object, required)
      - `options.explain` (boolean, required)
        Whether to explain the vision analysis result when there is anything worth explaining or not.
      - `options.isVideo` (boolean)
        Whether to use video analysis, requires an additional permission and is rate limited separately
      - `options.needFramesAnnotation` (boolean)
        Whether to annotate the frames of the video with a heatmap or bounding box.
      - `options.framesAnnotationType` (array)
        The type of annotation to apply to the frames of the video. Only one value is supported at a time.
        Enum: same as `options.framesAnnotationType` in "processing" (2 values)
      - `status` (string, required)
        The status of the vision analysis generation
        Enum: "failed"
      - `errorCode` (string)
        The codified reason the request couldn't be completed: 
- invalidInput: The input was not a resolvable URL
- invalidContent: The content did not meet the required size, resolution, or color constraints
- corruptContent: The content could not be parsed as it's specified filetype
- unsupportedFileType: The URL is to a file type that is not supported
- unableToRetrieveData: The URL did not return data in a timely fashion
- serverError: An unexpected problem occurred. Check again later.
        Enum: "invalidInput", "invalidContent", "corruptContent", "unsupportedFileType", "unableToRetrieveData", "serverError"
      - `error` (string, required)
        Example: "Couldn't download image"


## Response 404 fields
